package sun.management.counter.perf;

import sun.management.counter.Variability;
import sun.management.counter.Units;
import sun.management.counter.StringCounter;
import sun.management.counter.AbstractCounter;

class StringCounterSnapshot extends AbstractCounter implements StringCounter
{
    String value;
    private static final long serialVersionUID = 1132921539085572034L;
    
    StringCounterSnapshot(String name, Units units, Variability variability, int flags, String value) {
        super(name, units, variability, flags);
        this.value = value;
    }
    
    @Override
    public Object getValue() {
        return this.value;
    }
    
    @Override
    public String stringValue() {
        return this.value;
    }
}
